[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: MySQL 4.1.3 beta for OpenBSD 3.5 problems with libc and libpthread



--- Srebrenko Sehic <haver_(_at_)_insecure_(_dot_)_dk> wrote:
> On Tue, Jul 06, 2004 at 07:18:51PM -0000, punx_r0ck wrote:
> >  I found mysql 4.1.3 beta binary for
> > OpenBSD 3.5. Untarred it the right way, then attempted to install it:
> > 
> > ...
> > /usr/local/mysql/scripts/mysql_install_db --user=mysql
> > 
> > I get this error:
> > 
> > ./bin/my_print_defaults: can't load library 'libc.so.32.0'
> > Neither host '[coop' nor 'localhost' could be looked up with
> > ./bin/resolveip
> > Please configure the 'hostname' command to return a correct hostname.
> > If you want to solve this at a later state, restart this script with
> > the --force option.
> > ./bin/my_print_defaults: can't load library 'libpthread.so.4.0
> 
> I bet you're trying to run a 3.5 binary on a -current system. That's not
> going to work.
> 

I am running OpenBSD 3.5 on an Intel x86. I have read the cautions about
-current, but I thought 3.5 was the -current release. This might be where I'm
going wrong. What's the difference? 

Thanks!
Brian.


	
		
__________________________________
Do you Yahoo!?
New and Improved Yahoo! Mail - 100MB free storage!
http://promotions.yahoo.com/new_mail